function OnWarpEnter()
	SetMarker("Osiris\\Warp_0028.wp",0,0)
	SetMarker("Osiris\\Warp_0032.wp",0,0)
	SetMarker("Osiris\\Warp_0033.wp",0,0)
	--check anims conditions
       --StartAnimationt("C1G1",-1) 
	--StartAnimationt("C2G1",-1)
	--StartAnimationt("C3G1",-1)
	--StartAnimationt("C4G1",-1) Stars
	--StartAnimationt("E1G1",-1) Stars
	--StartAnimationt("E2G1",-1) Stars
	--StartAnimationt("E3G1",-1) Stars
	--StartAnimationt("E4G1",-1) Stars
	if not BeenIn_os_031 then
		DrawText("LMOR1190","LMOR1190.ogg")
		DrawText("LMOR1191","LMOR1191.ogg")
		BeenIn_os_031=true
		Next_Stars="E3G1"
	end

	if Next_Stars == "E1G1" then
		StartAnimationPart("E1G1",0,10,-1,false)
	elseif Next_Stars == "E2G1" then
		StartAnimationPart("E2G1",0,10,-1,false)
	elseif Next_Stars == "E3G1" then
		StartAnimationPart("E3G1",0,10,-1,false)
	elseif Next_Stars == "E4G1" then
		StartAnimationPart("E4G1",0,10,-1,false)
	end
end

function OnWarpLeave()
end

function OnWarpObjectHit(objectName)
	if objectName == "11G1" then

------------------------------------------------------------
	elseif objectName == "C1G1" then

------------------------------------------------------------
	elseif objectName == "C2G1" then

------------------------------------------------------------
	elseif objectName == "C3G1" then

------------------------------------------------------------
	elseif objectName == "C4G1" then

------------------------------------------------------------
	elseif objectName == "E1G1" then

------------------------------------------------------------
	elseif objectName == "E2G1" then

------------------------------------------------------------
	elseif objectName == "E3G1" then

------------------------------------------------------------
	elseif objectName == "E4G1" then
	end
	if objectName=="3D\\Osiris\\Warp_0028.wp" then
		ChangeWarp(objectName)
        end
	if objectName=="3D\\Osiris\\Warp_0032.wp" then
		ChangeWarp(objectName)
        end
	if objectName=="3D\\Osiris\\Warp_0033.wp" then
		ChangeWarp(objectName)
        end
end
